petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkMonitorAdd

Adds a new viewer to monitor

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkMonitorAdd(DMNetworkMonitor monitor,const char *name,PetscInt element,PetscInt nodes,PetscInt start,PetscInt blocksize,PetscReal xmin,PetscReal xmax,PetscReal ymin,PetscReal ymax,PetscBool hold)

Collective on monitor

### Input Parameters

| monitor | - the monitor
| name | - name of viewer
| element | - vertex / edge number
| nodes | - number of nodes
| start | - variable starting offset
| blocksize | - variable blocksize
| xmin | - xmin (or PETSC_DECIDE) for viewer
| xmax | - xmax (or PETSC_DECIDE) for viewer
| ymin | - ymin for viewer
| ymax | - ymax for viewer
| hold | - determines if plot limits should be held

### Notes

This is written to be independent of the semantics associated to the variables at a given network vertex / edge.

Precisely, the parameters nodes, start and blocksize allow you to select a general strided subarray of the variables to monitor.

### See Also

DMNetworkMonitorCreate(), DMNetworkMonitorDestroy()

### Level

intermediate

### Location

src/dm/impls/network/networkmonitor.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages